@import "../base/variable.scss";
@import "../base/mixins.scss";

.restaurent_listing_section{
    padding-bottom: 100px;
    padding-top: 51px;
    background-color: $meber-edt;
    .restaurent_areas{
        .sidebar_rows_area{
            padding-top: 15px;
            .search_box{
                margin-bottom: 30px;
                .form-group{
                    position: relative;
                    .form-control{
                        height: 46px;
                        padding-left: 20px;
                        padding-right: 45px;
                    }
                    .btn{
                        position: absolute;
                        top: 0;
                        right: 0;
                        background-color: transparent;
                        margin: 0;
                        padding: 0;
                        font-size: 18px;
                        margin-top: 11px;
                        margin-right: 20px;
                        i{
                            color: $black;
                        }
                    }
                }
            }
            .sidebar_filters_area{
                .top_heading{
                    padding-bottom: 35px;
                    h2{
                        color: $black;
                        font-weight: 700;
                        font-size: 24px;
                    }
                    .open_filter{
                        display: none;
                    }
                }
                .inner_filters_area{
                    background: $white;
                    box-shadow: 4px 4px 20px rgba(0, 0, 0, 0.05);
                    border-radius: 10px;
                    padding: 40px 0;
                    &.open_mobile_filter{
                        display: block;
                        position: fixed;
                        top: 0;
                        right: 0;
                        left: 0;
                        margin-left: auto;
                        margin-right: auto;
                        width: 100%;
                        height: 100%;
                        z-index: 9999;
                        overflow: hidden;
                        background-color: $white;
                        border-radius: 0;
                        @include ioshidden();
                        .top_heading{
                            padding-bottom: 10px;
                            h2{
                                text-align: start;
                                color: $black;
                            }
                        }
                        .cross_row{
                            position: absolute;
                            top: 0;
                            left: 0;
                            right: 0;
                            width: 100%;
                            text-align: right;
                            background-color: transparent;
                            padding: 15px 12px;
                            z-index: 111;
                            a{
                                display: inline-block;
                                color: $black;
                                img{
                                    width: 30px;
                                }
                            }
                        }
                        .scroable_area{
                            overflow-x: hidden;
                            padding-top: 0px;
                            height: 100%;
                            padding-left: 0px;
                            padding-right: 0px;
                            padding-bottom: 20px;
                            .accordion{
                                .accordion-item{
                                    .filter_box{
                                        .filter_title h5 {
                                           color: $black;
                                        }
                                        .accordion-header{
                                            .accordion-button{
                                                // &::after {
                                                //     filter: unset;
                                                // }
                                            }
                                        }
                                        .custom-control.custom-checkbox .custom-control-label{
                                            color: $black;
                                        }
                                    }
                                }
                            }
                            .custom-control.custom-checkbox .custom-control-label{
                                color: $black;
                            }
                        }
                        .top_heading{
                            h2{
                                color: $black;
                            }
                        }
                    }
                    .cross_row{
                        display: none;
                        img{
                            filter: invert(100%);
                        }
                    }
                    .filter_title{
                        padding-bottom: 25px;
                        h5{
                            color: $black;
                            font-weight: 600;
                            font-size: 16px;
                        }
                    }
                    .filter_box{
                        padding: 0px 25px;
                        border-top: 1px solid $black;
                        &:nth-of-type(1){
                            border-top: 0;
                        }
                    }
                }
            }
        }
    }
}



/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
	.restaurent_listing_section{
        padding-bottom: 60px;
        .restaurent_areas{
            .sidebar_rows_area{
                .sidebar_filters_area{
                    .top_heading{
                        h5{
                            font-size: 20px;
                        }
                    }
                    .inner_filters_area{
                        .filter_box{
                            padding: 25px 15px;
                        }
                        .filter_title{
                            h5{
                                font-size: 16px;
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
	.restaurent_listing_section{
        padding-bottom: 60px;
        .restaurent_areas{
            .sidebar_rows_area{
                .sidebar_filters_area{
                    .top_heading{
                        h5{
                            font-size: 20px;
                        }
                    }
                    .inner_filters_area{
                        .filter_box{
                            padding: 0px 10px;
                        }
                        .filter_title{
                            h5{
                                font-size: 16px;
                            }
                        }
                        .price_range_box{
                            .price_ranges{
                                .list-inline{
                                    li{
                                        padding: 0px 25px;
                                        a{
                                            font-size: 16px;
                                        }
                                    }
                                }
                            }
                        }
                        .district_box{
                            .check_row{
                                ul{
                                    li{
                                        margin-bottom: 10px;
                                        .custom-control{
                                            &.custom-checkbox{
                                                .custom-control-label{
                                                    font-size: 13px;
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                            .read_more{
                                padding-top: 0;
                            }
                        }
                    }
                    .accordion{
                        .accordion-item{
                          padding-top: 0;
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
	.restaurent_listing_section{
        padding-bottom: 60px;
        .restaurent_areas{
            .sidebar_rows_area{
                margin-bottom: 10px;
                .sidebar_filters_area{
                    .top_heading{
                        h5{
                            font-size: 20px;
                        }
                    }
                    .inner_filters_area{
                        .filter_box{
                            padding: 0px 10px;
                        }
                        .filter_title{
                            h5{
                                font-size: 16px;
                            }
                        }
                        .accordion{
                            .accordion-item{
                              padding-top: 0;
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
	.restaurent_listing_section{
        padding-bottom: 60px;
        .restaurent_areas{
            .sidebar_rows_area{
                margin-bottom: 10px;
                .sidebar_filters_area{
                    .top_heading{
                        padding-bottom: 0;
                        text-align: left;
                        padding-left: 0;
                        h5{
                            font-size: 20px;
                            color: $black;
                            display: inline-block;
                        }
                        h2{
                            font-size: 20px;
                        }
                        i{
                            color: $black;
                        }
                        a{
                            display: inline-block;
                            color: $white;
                            padding-left: 0px;
                        }
                        .open_filter{
                            display: inline-block;
                        }
                    }
                    .inner_filters_area{
                        display: none;
                        &.open_mobile_filter{
                            color: $white !important;
                            padding-bottom: 0;
                            .top_heading{
                                padding-left: 20px;
                            }
                        }
                        .cross_row{
                            display: block;
                        }
                        .filter_box{
                            padding: 0px 10px;
                            .accordion-header{
                                .accordion-button{
                                    padding: 10px;
                                }
                            }
                            .accordion-body{
                                padding-top: 10px !important;
                                padding-bottom: 10px !important;
                                &.sub{
                                    .accordion-item{
                                        &:last-child{
                                            .filter_box{
                                                border: none;
                                            }
                                        }
                                    }
                                }
                                .accordion-item{
                                    padding-bottom: 0;
                                }
                            }
                        }
                        .filter_title{
                            h5{
                                font-size: 16px;
                            }
                        }
                    }
                    .scroable_area{
                        .accordion{
                            .accordion-item{
                                padding: 20px 0;
                                padding-top: 0;
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
	.restaurent_listing_section{
        padding-bottom: 60px;
        .restaurent_areas{
            .sidebar_rows_area{
                margin-bottom: 10px;
                .sidebar_filters_area{
                    .top_heading{
                        padding-bottom: 0;
                        text-align: left;
                        padding-left: 0;
                        h5{
                            font-size: 20px;
                            color: $black;
                            display: inline-block;
                        }
                        h2{
                            font-size: 20px;
                        }
                        i{
                            color: $black;
                        }
                        a{
                            display: inline-block;
                            color: $white;
                            padding-left: 0px;
                        }
                        .open_filter{
                            display: inline-block;
                        }
                    }
                    .inner_filters_area{
                        display: none;
                        &.open_mobile_filter{
                            color: $white !important;
                            padding-bottom: 0;
                            .top_heading{
                                padding-left: 20px;
                            }
                        }
                        .cross_row{
                            display: block;
                        }
                        .filter_box{
                            padding: 0px 10px;
                            .accordion-header{
                                .accordion-button{
                                    padding: 10px;
                                }
                            }
                            .accordion-body{
                                padding-top: 10px !important;
                                padding-bottom: 10px !important;
                                &.sub{
                                    .accordion-item{
                                        &:last-child{
                                            .filter_box{
                                                border: none;
                                            }
                                        }
                                    }
                                }
                                .accordion-item{
                                    padding-bottom: 0;
                                }
                            }
                        }
                        .filter_title{
                            h5{
                                font-size: 16px;
                            }
                        }
                    }
                    .scroable_area{
                        .accordion{
                            .accordion-item{
                                padding: 20px 0;
                                padding-top: 0;
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    
}